Loading...
Searching...
No Matches
I/O

## Macros

#define | CPL_BPP_16_SIGNED CPL_TYPE_SHORT
#define | CPL_BPP_16_UNSIGNED CPL_TYPE_USHORT
#define | CPL_BPP_32_SIGNED CPL_TYPE_INT
#define | CPL_BPP_8_UNSIGNED CPL_TYPE_UCHAR
#define | CPL_BPP_IEEE_DOUBLE CPL_TYPE_DOUBLE
#define | CPL_BPP_IEEE_FLOAT CPL_TYPE_FLOAT
#define | cpl_type_bpp cpl_type

## Typedefs

typedef enum _cpl_io_type_ | cpl_io_type
| The file I/O modes.

## Enumerations

enum | _cpl_io_type_ { CPL_IO_CREATE , CPL_IO_EXTEND , CPL_IO_APPEND , CPL_IO_COMPRESS_GZIP , CPL_IO_COMPRESS_RICE , CPL_IO_COMPRESS_HCOMPRESS , CPL_IO_COMPRESS_PLIO , CPL_IO_MAX , CPL_IO_DEFAULT }
| These are the file I/O modes. More...

## Detailed Description

This module provides definitions related to I/O. The actual I/O functions are defined in the respective CPL modules.

Synopsis:
  #include "cpl_io.h"

## Macro Definition Documentation

## CPL_BPP_16_SIGNED

#define CPL_BPP_16_SIGNED CPL_TYPE_SHORT

Deprecated
  Use CPL_TYPE_SHORT

## CPL_BPP_16_UNSIGNED

#define CPL_BPP_16_UNSIGNED CPL_TYPE_USHORT

Deprecated
  Use CPL_TYPE_USHORT

## CPL_BPP_32_SIGNED

#define CPL_BPP_32_SIGNED CPL_TYPE_INT

Deprecated
  Use CPL_TYPE_INT

## CPL_BPP_8_UNSIGNED

#define CPL_BPP_8_UNSIGNED CPL_TYPE_UCHAR

Deprecated
  Use CPL_TYPE_UCHAR

## CPL_BPP_IEEE_DOUBLE

#define CPL_BPP_IEEE_DOUBLE CPL_TYPE_DOUBLE

Deprecated
  Use CPL_TYPE_DOUBLE

## CPL_BPP_IEEE_FLOAT

#define CPL_BPP_IEEE_FLOAT CPL_TYPE_FLOAT

Deprecated
  Use CPL_TYPE_FLOAT

## cpl_type_bpp

#define cpl_type_bpp cpl_type

Deprecated
  Use cpl_type

## Typedef Documentation

## cpl_io_type

typedef enum _cpl_io_type_ cpl_io_type

The file I/O modes.

## Enumeration Type Documentation

## _cpl_io_type_

enum _cpl_io_type_

These are the file I/O modes.

For the compression modes, see http://heasarc.nasa.gov/docs/software/fitsio/compression.html

Enumerator
CPL_IO_CREATE | Overwrite the file, if it already exists.
CPL_IO_EXTEND | Append a new extension to the file.
CPL_IO_APPEND | Append to the last data unit of the file.
CPL_IO_COMPRESS_GZIP | Use FITS tiled-image compression with GZIP algorithm.
CPL_IO_COMPRESS_RICE | Use FITS tiled-image compression with RICE algorithm.
CPL_IO_COMPRESS_HCOMPRESS | Use FITS tiled-image compression with HCOMPRESS algorithm.
CPL_IO_COMPRESS_PLIO | Use FITS tiled-image compression with PLIO algorithm.
CPL_IO_MAX | Reserved for internal CPL usage.
CPL_IO_DEFAULT | Deprecated, kept only for backwards compatibility